org.springframework.jms.support.destination

## Class DestinationResolutionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.core.NestedRuntimeException
        - - org.springframework.jms.JmsException
          - - org.springframework.jms.support.destination.DestinationResolutionException

All Implemented Interfaces:
  Serializable

    public class DestinationResolutionException
    extends JmsException

Thrown by a DestinationResolver when it cannot resolve a destination name.

Since:
  1.1
Author:
  Juergen Hoeller
See Also:
  `DestinationResolver`, Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`DestinationResolutionException(String msg)` Create a new DestinationResolutionException.
`DestinationResolutionException(String msg, Throwable cause)` Create a new DestinationResolutionException.

### Method Summary

### Methods inherited from class org.springframework.jms.JmsException

`getErrorCode, getMessage`

### Methods inherited from class org.springframework.core.NestedRuntimeException

`contains, getMostSpecificCause, getRootCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DestinationResolutionException

    public DestinationResolutionException(String msg)

Create a new DestinationResolutionException.

Parameters:
  `msg` - the detail message

#### DestinationResolutionException

    public DestinationResolutionException(String msg,
                                          @Nullable
                                          Throwable cause)

Create a new DestinationResolutionException.

Parameters:
  `msg` - the detail message
  `cause` - the root cause (if any)